## GnomeCanvasLine

GnomeCanvasLine

## Properties

gdouble | arrow-shape-a | Read / Write
gdouble | arrow-shape-b | Read / Write
gdouble | arrow-shape-c | Read / Write
GdkCapStyle | cap-style | Read / Write
gchar * | fill-color | Read / Write
GdkColor * | fill-color-gdk | Read / Write
guint | fill-color-rgba | Read / Write
GdkDrawable * | fill-stipple | Read / Write
gboolean | first-arrowhead | Read / Write
GdkJoinStyle | join-style | Read / Write
gboolean | last-arrowhead | Read / Write
GdkLineStyle | line-style | Read / Write
GnomeCanvasPoints * | points | Read / Write
gboolean | smooth | Read / Write
guint | spline-steps | Read / Write
guint | width-pixels | Read / Write
gdouble | width-units | Read / Write

## Types and Values

struct | GnomeCanvasLine

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GnomeCanvasItem
                    ╰── GnomeCanvasLine

## Includes

    #include <libgnomecanvas/libgnomecanvas.h>

## Description

## Functions

## Types and Values

### struct GnomeCanvasLine

    struct GnomeCanvasLine;

## Property Details

### The `“arrow-shape-a”` property

      “arrow-shape-a”            gdouble

Flags: Read / Write

Default value: 0

### The `“arrow-shape-b”` property

      “arrow-shape-b”            gdouble

Flags: Read / Write

Default value: 0

### The `“arrow-shape-c”` property

      “arrow-shape-c”            gdouble

Flags: Read / Write

Default value: 0

### The `“cap-style”` property

      “cap-style”                GdkCapStyle

Flags: Read / Write

Default value: GDK_CAP_BUTT

### The `“fill-color”` property

      “fill-color”               gchar *

Flags: Read / Write

Default value: NULL

### The `“fill-color-gdk”` property

      “fill-color-gdk”           GdkColor *

Flags: Read / Write

### The `“fill-color-rgba”` property

      “fill-color-rgba”          guint

Flags: Read / Write

Default value: 0

### The `“fill-stipple”` property

      “fill-stipple”             GdkDrawable *

Flags: Read / Write

### The `“first-arrowhead”` property

      “first-arrowhead”          gboolean

Flags: Read / Write

Default value: FALSE

### The `“join-style”` property

      “join-style”               GdkJoinStyle

Flags: Read / Write

Default value: GDK_JOIN_MITER

### The `“last-arrowhead”` property

      “last-arrowhead”           gboolean

Flags: Read / Write

Default value: FALSE

### The `“line-style”` property

      “line-style”               GdkLineStyle

Flags: Read / Write

Default value: GDK_LINE_SOLID

### The `“points”` property

      “points”                   GnomeCanvasPoints *

Flags: Read / Write

### The `“smooth”` property

      “smooth”                   gboolean

Flags: Read / Write

Default value: FALSE

### The `“spline-steps”` property

      “spline-steps”             guint

Flags: Read / Write

Default value: 12

### The `“width-pixels”` property

      “width-pixels”             guint

Flags: Read / Write

Default value: 0

### The `“width-units”` property

      “width-units”              gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0